unit u_const;

interface

uses OMEGA;

const

  gs_logos = 0;
  gs_game = 1;
  gs_memory = 2;
  gs_death = 3;
  gs_talk = 4;
  gs_explosion = 5;
  gs_afex = 6;
  gs_died = 7;

  draw_coef_set = 8;

  logos_count = 8;
  logos_time = 300;

  memory_time = 64;
  texts_count = 3;
  map_gravity = 0.01;
  map_down = 0.05;
  map_jump = -0.4;
  jump_time = 20;
  answ_time = 1600;
  hero_h=4;
  death_fly = 0.6;       
  jump_fly = 0.25;
  death_time = 200;
  water_time=40;
  go_speed = 0.2;
  water_gravity = -0.004;
  water_sg=0.4;
  water_livetime=700;
  water_dow=100;
  water_boubles = 25;
  sX=640;
  sY=480;

type
  TWPoint=record
    X,Y,Timer:integer;
  end;
  TQA=record
    Q:string;
    A:string;
    id:Integer;
  end;
  THero=record
    X,Y:integer;
    d,h:Boolean;
    Uniq:Integer;
    Hello,Name:string;
    Chat:array of TQA;
    a:Boolean;
  end;
  TPlayer=record
    X,Y,Xsp,Ysp:Single;
    CanJump:integer;
    InWater:Boolean;
  end;
  TWaterDot=record
    X,Y,Ysp:single;
  end;
  TWBDot=record
    X,Y,Ysp,Xsp:single;
    id,size:integer;
  end;
  TText_ = record
    w,r:shortstring;
  end;
  TLogo = record
    n1,n2,n3:string;
    t:Integer;
    s:Single;
    m:string;
  end;
  TQuestion=record
    text:string;
    answerid:Integer;
  end;
  TMyMemory=record
    text:string;
    X,Y:integer;
    answered:boolean;
    questions:array of TQuestion;
    Music:string;
  end;
  TMem=record
    X1,Y1,X2,Y2:Integer;
    PosInX,PosInY:integer;
    id:Integer;
    n,b:Boolean;
  end;
  TWReg=record
    X1,Y1,X2,Y2:Integer;
  end;
  TAnim=record
    img:PTexture;
    X,Y,W,H,S,T:Integer;
    Id,SubI:Byte;
  end;

var Logos:array[0..logos_count-1] of TLogo = (
      (n1:'';n2:'Dj_smart';t:logos_time;s:0.6),
      (n1:'specially for';n2:'igdc.ru';t:logos_time;s:0.5),
      (n1:'';n2:'present';t:logos_time;s:0.4),
      (n1:'a';n2:'quest game';t:logos_time;s:0.4),
      (n1:'named';n2:'Distored Shadow';n3:'based on Darkfate';t:logos_time*2;s:1;m:'thegame.mp3'),
      (n1:'чтобы изменить свою судьбу';n2:'НАЖМИТЕ R';t:logos_time;s:0.4),
      (n1:'чтобы поговорить с кем-то';n2:'НАЖМИТЕ T';t:logos_time;s:0.4),
      (n1:'произошло что-то странное...';n2:'Все дело в моих воспоминаниях.';n3:'Но, чёрт! Я ничего не помню!';t:logos_time*2;s:1)
    );
    WBCount:Integer;
    WB:array[1..256] of TWBDot;
    Ground:array of array of byte;
    Heroes:array of THero;
    Anims:array of TAnim;
    Memories:array of TMyMemory;
    Mems:array of TMem;
    WRegs:array of TWReg;
    WaterDotsCount:Integer;
    draw_coef:Integer=draw_coef_set;
    WaterDots:array[1..100] of TWaterDot;
    WaterCCount:integer;
    WaterC:array[1..25] of TWPoint;
    LastM:string;

implementation

end.
